- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Macros | Typedefs | Functions
Lazy allocator
Tools

## Macros
#define | EINA_LALLOC_ALLOC(function) ((Eina_Lalloc_Alloc)function)
#define | EINA_LALLOC_FREE(function) ((Eina_Lalloc_Free)function)

## Typedefs
typedef Eina_Bool(* | Eina_Lalloc_Alloc )(void *user_data, int num)
typedef void(* | Eina_Lalloc_Free )(void *user_data)
typedef struct _Eina_Lalloc | Eina_Lalloc

## Functions
EAPI Eina_Lalloc * | eina_lalloc_new (void *data, Eina_Lalloc_Alloc alloc_cb, Eina_Lalloc_Free free_cb, int num_init)
EAPI void | eina_lalloc_free (Eina_Lalloc *a)
EAPI Eina_Bool | eina_lalloc_element_add (Eina_Lalloc *a)
EAPI Eina_Bool | eina_lalloc_elements_add (Eina_Lalloc *a, int num)

## Detailed Description

## Macro Definition Documentation

#define EINA_LALLOC_ALLOC | ( |  | function | ) | ((Eina_Lalloc_Alloc)function)

Parameters

  function | The function to allocate.

#define EINA_LALLOC_FREE | ( |  | function | ) | ((Eina_Lalloc_Free)function)

Parameters

  function | The function to free.